#
# u2df07.rb
#
# $Id: u2df07.rb,v 1.1 2000/11/22 14:35:58 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


NX = 19
NY = 19
XMIN = 0
XMAX = 360
YMIN = -90
YMAX = 90
DRAD = PI/180
DZ = 0.05

p = NArray.sfloat(NX, NY)
u = NArray.sfloat(NX, NY)
v = NArray.sfloat(NX, NY)

#-- data ---
for j in 0..NY-1
  for i in 0..NX-1
    alon = (XMIN + (XMAX-XMIN)*i/(NX-1)) * DRAD
    alat = (YMIN + (YMAX-YMIN)*j/(NY-1)) * DRAD
    slat = sin(alat)
    p[i,j] = cos(alon) * (1-slat**2) * sin(2*PI*slat) + DZ
  end
end

rmiss = glrget('RMISS')
gllset('LMISS', true)

for j in 0..NY-1
  for i in 0..NX-1
    if (j == 0 || j == NY-1)
      u[i,j]=rmiss
      v[i,j]=rmiss
    else
      u[i,j] = p[i,j-1] - p[i,j+1]
      v[i,j] = p[imod(i+1,NX-1),j] - p[imod(i-1,NX-1),j]
    end
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(XMIN, XMAX, YMIN, YMAX)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs

ugvect(u, v)

grcls

