#
# kihon5.rb
#   $Id: kihon5.rb,v 1.2 2000/11/18 19:03:32 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 40
IMAX = 4

x = NArray.sfloat(NMAX+1, IMAX)
y = NArray.sfloat(NMAX+1, IMAX)
xc = NArray[0.25, 0.75, 0.25, 0.75]
yc = NArray[0.75, 0.75, 0.25, 0.25]

#-- data ----
dt = 2*PI/6
for n in 0..5
  for i in 0..IMAX-2
    x[n,i] = 0.2*cos(n*dt) + xc[i]  
    y[n,i] = 0.2*sin(n*dt) + yc[i]  
  end
end

dt = 4*PI/NMAX
for n in 0..NMAX
  x[n,IMAX-1] = 0.4*n/NMAX - 0.2 + xc[IMAX-1]
  y[n,IMAX-1] = 0.2*sin(n*dt) + yc[IMAX-1]
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sglset('LSOFTF', true)
sgfrm

#-- default ----
sgtnv(x[0..5,0], y[0..5,0])

#-- tone pattern ----
sgstnp(3)
sgtnv(x[0..5,1], y[0..5,1])

sgstnp(601)
sgtnv(x[0..5,2], y[0..5,2])

#-- twisted polygon ----
sgtnv(x[true,3], y[true,3])

sgcls

